import router from './router'
import NProgress from 'nprogress' // progress bar
import 'nprogress/nprogress.css' // progress bar style
import { Message } from 'element-ui'
import { getToken } from '@/utils/auth'
NProgress.configure({ showSpinner: true }) // NProgress Configuration

const accessRoute = ['/login']

router.beforeEach((to, from, next) => {
  NProgress.start()
  if (accessRoute.includes(to.path)) {
    next()
  } else {
    if (!getToken()) {
      // Message.error('您尚未登录!')
      setTimeout(() => next('/login'), 500)
    } else {
      next()
    }
  }
})

router.afterEach(() => {
  // finish progress bar
  NProgress.done()
})
